Development

#9625 (Automatically determine scopes)

You must first sign up to be able to contribute.

Ticket #9625 (closed enhancement: wontfix)

Opened 3 years ago

Last modified 3 years ago

Automatically determine scopes

Reported by: lsmith Assigned to: johanness
Priority: major Milestone:
Component: dependency_injection Version: 2.0.x DEV
Keywords: Cc:
Qualification: Unreviewed

Description

the DI should attempt to auto determine the proper scope. Any service that doesnt have an explicit scope but injects the container should default to scope "prototype"

see http://trac.symfony-project.org/wiki/SfliveParisDevMeeting

Change History

04/15/11 11:01:37 changed by lsmith

  • owner changed from fabien to johanness.

04/17/11 20:47:34 changed by lsmith

  • priority changed from minor to major.

04/19/11 09:34:22 changed by johanness

  • summary changed from service container default scope to Automatically determine scopes.

07/12/11 22:44:34 changed by stof

  • status changed from new to closed.
  • resolution set to wontfix.